## org.beepcore.beep.core
Class StartChannelProfile

    java.lang.Object
      org.beepcore.beep.core.StartChannelProfile

public class StartChannelProfile
extends java.lang.Object

Class StartChannelProfile

Constructor Summary
`StartChannelProfile(java.lang.String uri)` Constructor StartChannelProfile
`StartChannelProfile(java.lang.String uri, boolean base64Encoding, java.lang.String data)` Constructor StartChannelProfile

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartChannelProfile

    public StartChannelProfile(java.lang.String uri,
                               boolean base64Encoding,
                               java.lang.String data)

  Constructor StartChannelProfile

Parameters:
  `uri` -
  `base64Encoding` -
  `data` -

### StartChannelProfile

    public StartChannelProfile(java.lang.String uri)

  Constructor StartChannelProfile

Parameters:
  `uri` -

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.